package com.quinn.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.quinn.pojo.Blog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.quinn.pojo.BlogWithUser;
import com.quinn.vo.MyPageParam;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author limqsh
 * @since 2020-06-29
 */
public interface BlogService extends IService<Blog> {

    List<Blog> getTopBlog();

    List<BlogWithUser> getBlogWithUserOrderBySort(String userId,MyPageParam myPageParam);

    List<BlogWithUser> getMyBlogs(String userId,MyPageParam myPageParam);

    void addRecord(Blog blog, String sessionId);
}
